<?
if (isset($ID) && $level > 1 && !isset($_GET['admin'])) {
  $ank = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '$ID' LIMIT 1");
}

if (!isset($ank['id']) && isset($user) && (!isset($_GET['admin']) || $level < 3)) {
  $ank = $user;
}

if (isset($ank['id']) && $user['id'] == $ank['id'] && isset($_GET['read'])) {
  $sql -> update("UPDATE `billing_log` SET `read` = '0' WHERE `id_user` = '$user[id]'");
}

if (isset($_GET['read']) && isset($_GET['admin']) && $level > 2) {
  $sql -> update("UPDATE `billing_log` SET `admin_read` = '0'");
}

if (isset($_GET['admin']) && !isset($ank['id']) && $level > 2) {
  $WHERE = "";
  $order = 'admin&amp;';
} else {
  $WHERE = "WHERE `id_user` = '$ank[id]'";
  $order = 'id=' . $ank['id'] . '&amp;';
} 

$system['title'] = __('Расчетный лист') . ' ' . (!isset($_GET['admin']) && $ank['id'] != $user['id'] ? login($ank['id']) : '');
require SYS . 'header.php';

$type = array('verification' => __('Подтверждение WMID'), 'goods' => __('Оплата товара'), 'return' => __('Возврат средств'), 'service' => __('Оплата внутренних услуг'), 'coins' => __('Пополнение счета'), 'vivod' => __('Вывод средств'), 'referals' => __('Выплата за реферала'), 'Mysms' => __('SMS Оповещение'));

$k_post = $sql -> selectCount("SELECT COUNT(*) FROM `billing_log` $WHERE");

if ($k_post == 0) {
  ?>
  <div class="alert" style="margin: 2px;"><?= __('Список операций пуст')?></div>
  <?
} else {
  $k_page = k_page($k_post, $system['page_str']);
  $page = page($k_page);
  $start =  $system['page_str'] * $page -  $system['page_str'];

  $array = $sql -> select("SELECT * FROM `billing_log` $WHERE ORDER BY `time` DESC LIMIT $start, $system[page_str]");

  foreach ($array AS $post) {
    $num++;
    ?>
    <div class="<?= ($num % 2 ? "nav1" : "nav2")?>">
      <?= (isset($_GET['admin']) && $level > 2 ? login($post['id_user'], 1, 1) . '<br />' : '')?>
      <span class="ank_n"><?= __('Тип операции')?>:</span> <span class="ank_d"><?= $type[$post['type']]?></span><br />
      <span class="ank_n"><?= __('Время')?>:</span> <span class="ank_d"><?= vremja($post['time'])?></span><br />
      <span class="ank_n"><?= __('Сумма')?>:</span> <span class="ank_d"><?= $post['coins']?> wmr</span><br />
      <span class="ank_n"><?= __('Сообщение')?>:</span> <span class="ank_d"><?= text_out($post['msg'])?></span><br />
      <?= (isset($_GET['admin']) && $level > 2 ? '<a href="/?func=' . $func . '&amp;id=' . $post['id_user'] . '">' . __('Все операции') . ' ' . login($post['id_user'], 0) . ' &raquo;</a><br />' : '')?>
    </div>
    <?
  }

  if ($k_page > 1) { 
    str('?func=' . $func . '&amp;' . $order, $k_page, $page);
  }  
}
?>